[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.GetHandle

Gets the value for the Handle property.

## Declaration

Source position: menus.pp line 393

`protected function TMenu.GetHandle: HMENU; virtual;`

## Function result

Value for the property.

## Description

Calls HandleNeeded to create the handle if it has not been allocated in the widgetset class.

## See also

TMenu.Handle |  | Handle for the menu allocated in the widgetset class.
TMenu.HandleNeeded |  | Ensures that a Handle has been allocated for the menu.